> For a complete page index, fetch https://developer.close.com/llms.txt
# Update a Meeting activity
PUT https://api.close.com/api/v1/activity/meeting/{id}/
Content-Type: application/json
Most commonly this can be used to update a meetings's `user_note_html` or `outcome_id`.
Reference: https://developer.close.com/api/resources/activities/meetings/update
## Authentication
- `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty.
- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token.
## Request
### Path parameters
- `id` (string, required)
### Body (application/json)
This endpoint expects an any.
- `any`
## Response
### 200
Successful response
- `_type` (string, required)
- `activity_at` (datetime, required, nullable)
- `actual_duration` (integer, required, nullable)
- `attached_call_ids` (list of string, required)
- `attendees` (list of MeetingAttendee, required)
- `calendar_event_link` (string, required, nullable)
- `calendar_event_uids` (list of string, required)
- `conference_links` (list of MeetingConferenceLink, required)
- `connected_account_id` (string, required, nullable)
- `contact_id` (string, required, nullable)
- `conversation_type_id` (string, required, nullable)
- `conversation_type_reason` (enum, required, nullable)
- Allowed values: `user-selected`, `autodetected`
- `created_by` (string, required, nullable)
- `date_created` (datetime, required)
- `date_updated` (datetime, required)
- `duration` (integer, required)
- `ends_at` (datetime, required)
- `id` (string, required)
- `integrations` (list of map from string to any, required)
- `is_recurring` (boolean, required)
- `lead_id` (string, required, nullable)
- `location` (string, required)
- `note` (string, required)
- `notetaker_id` (string, required, nullable)
- `organization_id` (string, required)
- `outcome_autofill_confidence` (enum, required, nullable)
- Allowed values: `low`, `medium`, `high`
- `outcome_autofill_reasoning` (string, required, nullable)
- `outcome_id` (string, required, nullable)
- `outcome_reason` (enum, required, nullable)
- Allowed values: `autofilled`, `user-selected`, `voicemail-dropped`
- `playbook_id` (string, required, nullable)
- `playbook_reason` (enum, required, nullable)
- Allowed values: `user-selected`, `autodetected`
- `provider_calendar_event_id` (string, required, nullable)
- `provider_calendar_ids` (list of string, required)
- `provider_calendar_type` (enum, required, nullable)
- Allowed values: `google`, `microsoft`
- `source` (enum, required)
- Allowed values: `calendar`, `manual`
- `starts_at` (datetime, required)
- `status` (enum, required, nullable)
- Allowed values: `upcoming`, `in-progress`, `completed`, `canceled`, `declined-by-org`, `declined-by-lead`
- `summary` (MeetingSummary, required, nullable)
- `title` (string, required)
- `updated_by` (string, required, nullable)
- `user_id` (string, required, nullable)
- `user_note` (string, required, nullable)
- `user_note_date_updated` (datetime, required, nullable)
- `user_note_html` (string, required, nullable)
- `user_note_mentions` (list of string, required)
- `users` (list of string, required)
- `_paused_subscriptions` (list of MeetingPausedSubscription, optional)
- `comment_summary` (CommentSummary, optional, nullable)
- `created_by_name` (string, optional, nullable)
- `transcripts` (list of MeetingTranscript, optional)
- `updated_by_name` (string, optional, nullable)
- `user_name` (string, optional, nullable)
## Errors
### 400 Bad Request Error
Bad request
- `any`
### 401 Unauthorized Error
Unauthorized
- `any`
### 404 Not Found Error
Not found
- `any`
## Types
### MeetingAttendee
- `contact_id` (string, required, nullable)
- `email` (string, required, nullable)
- `is_organizer` (boolean, required, nullable)
- `name` (string, required, nullable)
- `status` (string, required, nullable)
- `user_id` (string, required, nullable)
### MeetingConferenceLink
- `type` (enum, required)
- Allowed values: `ZOOM`, `GOOGLE_MEET`, `GOOGLE_HANGOUTS`, `MICROSOFT_TEAMS`, `SKYPE`, `WEBEX`, `GO_TO_MEETING`
- `url` (string, required)
### MeetingSummary
- `html` (string, required)
- `text` (string, required)
### MeetingPausedSubscription
- `contact_id` (string, required, nullable)
- `contact_name` (string, required, nullable)
- `id` (string, required)
- `sequence_id` (string, required)
- `sequence_name` (string, required)
- `sequence_status` (string, required)
### CommentSummary
- `comment_count` (integer, required)
- `thread_id` (string, required)
### MeetingTranscript
- `has_speaker_labels` (boolean, required)
- `id` (string, required)
- `speakers` (list of MeetingTranscriptSpeaker, required)
- `summary_text` (string, required, nullable)
- `utterances` (list of MeetingTranscriptUtterance, required)
- `summary_html` (string, optional, nullable)
### MeetingTranscriptSpeaker
- `speaker_label` (string, required)
- `speaker_side` (enum, required, nullable)
- Allowed values: `contact`, `close-user`, `voice-agent`
- `talk_percentage` (double, required)
- `talk_time` (double, required)
### MeetingTranscriptUtterance
- `end` (double, required)
- `speaker_label` (string, required)
- `speaker_side` (enum, required, nullable)
- Allowed values: `contact`, `close-user`, `voice-agent`
- `start` (double, required)
- `text` (string, required)
- `words` (list of MeetingTranscriptWord, optional)
### MeetingTranscriptWord
- `end` (double, required, nullable)
- `start` (double, required, nullable)
- `text` (string, required)
## Examples
**Request**
```json
{
"outcome_id": "outcome_031uY9IKV1JxfNKM9n2qCw",
"user_note_html": "- Discussed product/service offering, highlighting security and scalability features.
- Addressed Bruce Wayne's specific project requirements and concerns.
- Negotiated customized pricing package.
"
}
```
**Response**
```json
{
"_type": "Meeting",
"activity_at": "2019-10-11T16:30:00+00:00",
"actual_duration": null,
"attached_call_ids": [],
"attendees": [
{
"contact_id": "cont_V3RuqD9VJKJWOtPsoH7EMy3MnKoFED2Ulgd4g87Ayqc",
"email": "bruce@wayneenterprises.com",
"is_organizer": false,
"name": null,
"status": "noreply",
"user_id": null
},
{
"contact_id": null,
"email": "jane@example.com",
"is_organizer": true,
"name": null,
"status": "yes",
"user_id": "user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk"
}
],
"calendar_event_link": "https://www.google.com/calendar/event?eid=NzlrNGRoMmk5bm9jZDEwOGtjMmY3Y2RzODggamFuZUBleGFtcGxlLmNvbQ",
"calendar_event_uids": [
"79k4dh2i9nocd108kc2f7cds88"
],
"conference_links": [
{
"type": "ZOOM",
"url": "https://zoom.us/j/zoommeeting"
}
],
"connected_account_id": "emailacct_OoSyqxjm1HbuxcRsOyrm2SwR1uOTBdHKPdhAaf9mhUp",
"contact_id": null,
"conversation_type_id": null,
"conversation_type_reason": null,
"created_by": "user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk",
"date_created": "2019-10-11T16:30:00+00:00",
"date_updated": "2019-10-11T16:30:00.368000+00:00",
"duration": 3600,
"ends_at": "2019-10-11T17:30:00+00:00",
"id": "acti_qwA2IPmjYyMQQ2UWuNxBOtc2CbZtRUOb5JkS1i3Qo1b",
"integrations": [],
"is_recurring": false,
"lead_id": "lead_Qq33JAqr6zrgqtJGkKv7XQxTnQxpTEJA7Mfcx98ZrWe",
"location": "https://zoom.us/j/zoommeeting",
"note": "──────────\nJane User is inviting you to a scheduled Zoom meeting to find out if you're really Batman.\n\nJoin Zoom Meeting\nhttps://zoom.us/j/zoommeeting\n\n──────────",
"notetaker_id": "user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk",
"organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
"outcome_autofill_confidence": null,
"outcome_autofill_reasoning": null,
"outcome_id": "outcome_031uY9IKV1JxfNKM9n2qCw",
"outcome_reason": null,
"playbook_id": null,
"playbook_reason": null,
"provider_calendar_event_id": "79k4dh2i9nocd108kc2f7cds88",
"provider_calendar_ids": [
"primary"
],
"provider_calendar_type": "google",
"source": "calendar",
"starts_at": "2019-10-11T16:30:00+00:00",
"status": "in-progress",
"summary": null,
"title": "Bruce Wayne Interview",
"updated_by": "user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk",
"user_id": "user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk",
"user_note": "Discussed product/service offering, highlighting security and scalability features.",
"user_note_date_updated": "2019-10-11T16:30:00.368000+00:00",
"user_note_html": "- Discussed product/service offering, highlighting security and scalability features.
- Addressed Bruce Wayne's specific project requirements and concerns.
- Negotiated customized pricing package.
",
"user_note_mentions": [],
"users": [
"user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk"
],
"created_by_name": "Jane User",
"updated_by_name": "Jane User",
"user_name": "Jane User"
}
```
**SDK Code**
```python
import requests
url = "https://api.close.com/api/v1/activity/meeting/:id/"
payload = {
"outcome_id": "outcome_031uY9IKV1JxfNKM9n2qCw",
"user_note_html": "- Discussed product/service offering, highlighting security and scalability features.
- Addressed Bruce Wayne's specific project requirements and concerns.
- Negotiated customized pricing package.
"
}
headers = {
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers, auth=("", ""))
print(response.json())
```
```javascript
const url = 'https://api.close.com/api/v1/activity/meeting/:id/';
const credentials = btoa(":");
const options = {
method: 'PUT',
headers: {Authorization: `Basic ${credentials}`, 'Content-Type': 'application/json'},
body: '{"outcome_id":"outcome_031uY9IKV1JxfNKM9n2qCw","user_note_html":"- Discussed product/service offering, highlighting security and scalability features.
- Addressed Bruce Wayne\'s specific project requirements and concerns.
- Negotiated customized pricing package.
"}'
};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}
```
```go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.close.com/api/v1/activity/meeting/:id/"
payload := strings.NewReader("{\n \"outcome_id\": \"outcome_031uY9IKV1JxfNKM9n2qCw\",\n \"user_note_html\": \"- Discussed product/service offering, highlighting security and scalability features.
- Addressed Bruce Wayne's specific project requirements and concerns.
- Negotiated customized pricing package.
\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.SetBasicAuth("", "")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}
```
```ruby
require 'uri'
require 'net/http'
url = URI("https://api.close.com/api/v1/activity/meeting/:id/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request.basic_auth("", "")
request["Content-Type"] = 'application/json'
request.body = "{\n \"outcome_id\": \"outcome_031uY9IKV1JxfNKM9n2qCw\",\n \"user_note_html\": \"- Discussed product/service offering, highlighting security and scalability features.
- Addressed Bruce Wayne's specific project requirements and concerns.
- Negotiated customized pricing package.
\"\n}"
response = http.request(request)
puts response.read_body
```
```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;
HttpResponse response = Unirest.put("https://api.close.com/api/v1/activity/meeting/:id/")
.basicAuth("", "")
.header("Content-Type", "application/json")
.body("{\n \"outcome_id\": \"outcome_031uY9IKV1JxfNKM9n2qCw\",\n \"user_note_html\": \"- Discussed product/service offering, highlighting security and scalability features.
- Addressed Bruce Wayne's specific project requirements and concerns.
- Negotiated customized pricing package.
\"\n}")
.asString();
```
```php
request('PUT', 'https://api.close.com/api/v1/activity/meeting/:id/', [
'body' => '{
"outcome_id": "outcome_031uY9IKV1JxfNKM9n2qCw",
"user_note_html": "- Discussed product/service offering, highlighting security and scalability features.
- Addressed Bruce Wayne\'s specific project requirements and concerns.
- Negotiated customized pricing package.
"
}',
'headers' => [
'Content-Type' => 'application/json',
],
'auth' => ['', ''],
]);
echo $response->getBody();
```
```csharp
using RestSharp;
using RestSharp.Authenticators;
var client = new RestClient("https://api.close.com/api/v1/activity/meeting/:id/");
client.Authenticator = new HttpBasicAuthenticator("", "");
var request = new RestRequest(Method.PUT);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n \"outcome_id\": \"outcome_031uY9IKV1JxfNKM9n2qCw\",\n \"user_note_html\": \"- Discussed product/service offering, highlighting security and scalability features.
- Addressed Bruce Wayne's specific project requirements and concerns.
- Negotiated customized pricing package.
\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```